Package: groovy.util

## [Groovy] Class ConfigBinding

- groovy.util.ConfigBinding

- Since Groovy Script doesn't support overriding setProperty, we use a trick with the Binding to provide this functionality

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `def` | `callable`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ConfigBinding (Closure c)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `setVariable(String name, Object value)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Binding` | `getVariable, setVariable, hasVariable, getVariables, getProperty, setProperty, invokeMethod, getMetaClass, setMetaClass, equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`
    `class GroovyObjectSupport` | `getProperty, setProperty, invokeMethod, getMetaClass, setMetaClass, equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Property Detail

    - #### def callable

  - ### Constructor Detail

    - #### ConfigBinding(Closure c)

  - ### Method Detail

    - #### void setVariable(String name, Object value)